function filter_title(str)
{
	if (str.length == 0) {
		articles.forEach(article => article.style.display = "block");
	} else {
		articles.forEach(article => article.style.display = article.dataset.title.indexOf(str.toLowerCase()) === -1 ? "none" : "block");
	}
}

const search = document.querySelector("input[type='search']");
const form = document.querySelector("form");
let articles = Array.from(document.querySelectorAll("article"));

search.addEventListener("input", () => filter_title(search.value));
window.addEventListener("load", () => search.style.display = "inline-block");
